apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: /snap/kompose/19/kompose-linux-amd64 convert -f docker-compose.yml
      -o k3s/
    kompose.version: 1.21.0 (992df58d8)
  creationTimestamp: null
  labels:
    io.kompose.service: gateway
  name: gateway
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: gateway
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: /snap/kompose/19/kompose-linux-amd64 convert -f docker-compose.yml
          -o k3s/
        kompose.version: 1.21.0 (992df58d8)
      creationTimestamp: null
      labels:
        io.kompose.service: gateway
    spec:
      containers:
      - args:
        - sh
        - -c
        - uvicorn main:app --reload --host 0.0.0.0
        env:
        - name: ORDERS_SERVICE_URL
          valueFrom:
            configMapKeyRef:
              key: ORDERS_SERVICE_URL
              name: gateway--env
        - name: USERS_SERVICE_URL
          valueFrom:
            configMapKeyRef:
              key: USERS_SERVICE_URL
              name: gateway--env
        image: baranbartu/k-api-gateway:latest
        imagePullPolicy: ""
        name: gateway
        ports:
        - containerPort: 8000
        resources: {}
        volumeMounts:
        - mountPath: /app
          name: gateway-claim0
      restartPolicy: Always
      serviceAccountName: ""
      volumes:
      - name: gateway-claim0
        persistentVolumeClaim:
          claimName: gateway-claim0
status: {}
